package com.alterdekim.flash.decompiler.tag;

import lombok.Getter;

@Getter
public enum TagType {
    SetBackgroundColor(9),
    DoAction(12),
    ShowFrame(1),
    End(0),
    Unknown(-1);

    private final int id;

    TagType(int id) {
        this.id = id;
    }

    public static TagType fromId(int id) {
        for( TagType type : TagType.values()) {
            if( type.id == id ) return type;
        }
        return Unknown;
    }
}
